- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# QFutureInterface< void > Class Template Reference

Search for all occurrences

## Detailed Description

### template<>
class QFutureInterface< void >

Definition at line 282 of file qfutureinterface.h.

`#include <qfutureinterface.h>`

Inheritance diagram for QFutureInterface< void >:
[legend]

List of all members.

## Public Member Functions
| QFutureInterface (State initialState=NoState)
| QFutureInterface (const QFutureInterface< void > &other)
QFutureInterface< void > & | operator= (const QFutureInterface< void > &other)
QFuture< void > | future ()
void | reportResult (const void *, int)
void | reportResults (const QVector< void > &, int)
void | reportFinished (void *=0)
## Static Public Member Functions
static QFutureInterface< void > | canceledResult ()

## Constructor & Destructor Documentation

QFutureInterface | ( | State | initialState = `NoState` | ) | `[inline]`

Search for all occurrences

Definition at line 285 of file qfutureinterface.h.

            : QFutureInterfaceBase(initialState)
        { }

QFutureInterface | ( | const QFutureInterface< void > & | other | ) | `[inline]`

Search for all occurrences

Definition at line 288 of file qfutureinterface.h.

            : QFutureInterfaceBase(other)
        { }

## Member Function Documentation

static QFutureInterface<void> canceledResult | ( |  | ) | `[inline, static]`

Search for all occurrences

Definition at line 292 of file qfutureinterface.h.

        { return QFutureInterface(State(Started | Finished | Canceled)); }

QFutureInterface<void>& operator= | ( | const QFutureInterface< void > & | other | ) | `[inline]`

Definition at line 295 of file qfutureinterface.h.

        {
            QFutureInterfaceBase::operator=(other);
            return *this;
        }

QFuture< void > future | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 262 of file qfuture.h.

    {
        return QFuture<void>(this);
    }

void reportResult | ( | const void * | ,
|  | int |
| ) |  | `[inline]`

Search for all occurrences

Definition at line 303 of file qfutureinterface.h.

    { }

void reportResults | ( | const QVector< void > & | ,
|  | int |
| ) |  | `[inline]`

Search for all occurrences

Definition at line 304 of file qfutureinterface.h.

    { }

void reportFinished | ( | void * | = `0` | ) | `[inline]`

Search for all occurrences

Definition at line 305 of file qfutureinterface.h.

    { QFutureInterfaceBase::reportFinished(); }

The documentation for this class was generated from the following files:

- QtCore/qfutureinterface.h
- QtCore/qfuture.h